[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TList.Extract

Remove the first occurrence of a pointer from the list.

## Declaration

Source position: classesh.inc line 339

`public function TList.Extract(`
`item: Pointer`
`):Pointer;`

## Description

Extract searched for an occurence of item, and if a match is found, the match is deleted from the list. If no match is found, nothing is deleted. If Item was found, the result is Item. If Item was not found, the result is Nil. A lnExtracted notification event is triggered if an element is extracted from the list.

## See also

TList.Delete |  | Removes a pointer from the list.
TList.IndexOf |  | Returns the index of a given pointer.
TList.Remove |  | Removes a value from the list.

Documentation generated on: Feb 26 2014